import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询批次废弃列表
export function listLotWaste(query) {
  return request({
    url:  baseUrl +'/business/lotWaste/list',
    method: 'get',
    params: query
  })
}

// 查询批次废弃详细
export function getLotWaste(data) {
  return request({
    url:  baseUrl +'/business/lotWaste/getLotWaste',
    method: 'get',
    data:data
  })
}

// 新增批次废弃
export function addLotWaste(data) {
  return request({
    url:  baseUrl +'/business/lotWaste',
    method: 'post',
    data: data
  })
}

// 修改批次废弃
export function updateLotWaste(data) {
  return request({
    url:  baseUrl +'/business/lotWaste',
    method: 'put',
    data: data
  })
}

// 删除批次废弃
export function delLotWaste(id) {
  return request({
    url:  baseUrl +'/business/lotWaste/' + id,
    method: 'delete'
  })
}
